package com.rehome.sgbaxj.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.TextView;

import com.rehome.sgbaxj.DBModel.Xjjh;
import com.rehome.sgbaxj.R;
import com.zhy.autolayout.utils.AutoUtils;

import java.util.List;


/**
 * 下载计划适配器
 */
public class ScxsAdapter extends BaseAdapter {

    private Context context;
    //private List<XSJJHXZDataBean> list;
    private List<Xjjh> dbxjjh;
    private CallBack mCallBack;

    public ScxsAdapter(Context context, List<Xjjh> dbxjjh, CallBack mCallBack) {
        this.context = context;
        //this.list = list;
        this.mCallBack = mCallBack;
        this.dbxjjh=dbxjjh;
    }

    public interface CallBack {
        void Click(View view);
    }

    @Override
    public int getCount() {
        return dbxjjh.size();
    }

    @Override
    public Object getItem(int i) {
        return dbxjjh.get(i);
    }

    @Override
    public long getItemId(int i) {
        return i;
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {

        ViewHolder holder;
        if (view == null) {
            holder = new ViewHolder();
            view = LayoutInflater.from(context).inflate(R.layout.scxscb_item, viewGroup, false);
            holder.xj_cb = view.findViewById(R.id.xj_cb);
            holder.tv_gwmc = view.findViewById(R.id.tv_gwmc);
            holder.tv_yjzj = view.findViewById(R.id.tv_yjzj);

            view.setTag(holder);
            AutoUtils.autoSize(view);
        } else {
            holder = (ViewHolder) view.getTag();
        }


        holder.xj_cb.setChecked(dbxjjh.get(i).isChecked());
        holder.tv_gwmc.setText(dbxjjh.get(i).getJhmc());
        holder.tv_yjzj.setText(dbxjjh.get(i).getCountPercent()+"/"+dbxjjh.get(i).getJhds());



        holder.xj_cb.setTag(i);
        holder.xj_cb.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                mCallBack.Click(view);
            }
        });
        return view;
    }

    static class ViewHolder {
        CheckBox xj_cb;
        TextView tv_gwmc;
        TextView tv_yjzj;

    }
}
